﻿try {

[void][System.Reflection.Assembly]::LoadWithPartialName("MySql.Data")
    } catch {
    Write-Host "Could not run MySQL Query" $Error[0]    
     }   
     
[string]$server = ""
[string]$uid = ""
[string]$pwd = ""

$connectionString = "server=$server;uid=$uid;pwd=$pwd;database=$database;"

$connection = New-Object MySql.Data.MySqlClient.MySqlConnection
$connection.ConnectionString = $connectionString
$connection.Open()

$sql = "SHOW DATABASES"
$command = New-Object MySql.Data.MySqlClient.MySqlCommand($sql, $connection)
$dataAdapter = New-Object MySql.Data.MySqlClient.MySqlDataAdapter($command)
$dataSet = New-Object System.Data.DataSet
$dataAdapter.Fill($dataSet, "db_data")
# show contents of table
$databases = $dataSet.Tables["db_data"]
"Databases :-"
	foreach ($db in $databases) {
	"DB = " + $db.Database
	}

$connection.Close()
